Subject: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

From: Robert Rennison <[email-masked]>
Date: Wed, 2 Jun 2010 09:57:13 -0400

Luca,George,Matthew,
The section 5.4.1 of the static-pw-status draft  appears to allow me to use the GAL on a PW which is not using the control word, that's nice, since some PWs do not use the CW.
>From draft-ietf-pwe3-static-pw-status-00
5.4.1. Label stack for a message destined to the next PE

   A PE that needs to forward a PW OAM status message to the adjacent PE

   across the PSN tunnel, MUST set the PW label TTL field to 1.

   Furthermore if the control word is not in use on the particular PW,

   the PE MUST also place the GAL reserved label [RFC5586<http://tools.ietf.org/html/rfc5586>], below the PW

   label also with the TTL field set to 1.

However from  RFC 5586  I see.

RFC 5586 4.2.  GAL Applicability and Usage

   In MPLS-TP, the GAL MUST be used with packets on a G-ACh on LSPs,
   Concatenated Segments of LSPs, and with Sections, and MUST NOT be
   used with PWs.  It MUST always be at the bottom of the label stack
   (i.e., S bit set to 1).

This appears to preclude the use of the GAL on a PW.

So,  how can I run  pw-status on a PW and not violate RFC 5586.  I'm sure there's some subtlety I am missing here so hoping for clarity.

Cheers

Rob Rennison

---

From: Robert Rennison <[email-masked]>
Date: Wed, 2 Jun 2010 11:15:46 -0400

Correcting Luca's email address, outlook  address auto-complete dug this up from the depths.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Robert Rennison
Sent: Wednesday, June 02, 2010 9:57 AM
To: [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

Luca,George,Matthew,

Cheers

Rob Rennison

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 2 Jun 2010 17:04:41 -0700

Hi Robert,
very interesting!
I'd try to give my understanding by extending your quote from RFC 5586:
"However, in other MPLS environments, this document places no restrictions
on where the GAL may appear within the label stack or its use with PWs."
I interpret that in non-TP environments GAL may be used as suggested in the
draft but in MPLS-TP - the control word and VCCV must be used.

Regards,
Greg

On Wed, Jun 2, 2010 at 8:15 AM, Robert Rennison <[email-masked]
> wrote:

>  Correcting Luca’s email address, outlook  address auto-complete dug this
> up from the depths.
>
>
>
>
>
>
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of
> *Robert Rennison
> *Sent:* Wednesday, June 02, 2010 9:57 AM
> *To:* [email-masked]; [email-masked];
> [email-masked]
> *Cc:* [email-masked]
> *Subject:* [PWE3] Possible Contradiction re use of GAL in
> pwe3-static-pw-status
>
>
> Luca,George,Matthew, The section 5.4.1 of the static-pw-status draft
>  appears to allow me to use the GAL on a PW which is not using the control
> word, that’s nice, since some PWs do not use the CW. From
> draft-ietf-pwe3-static-pw-status-00 5.4.1. Label stack for a message
> destined to the next PE
>
>    the PE MUST also place the GAL reserved label [RFC5586 <http://tools.ietf.org/html/rfc5586>], below the PW
>
> *However from  RFC 5586  I see.*
>
> * *
>
> *RFC 5586 4.2.  GAL Applicability and Usage*
>
>
>
> *This appears to preclude the use of the GAL on a PW.*
>
> * *
>
> *So,  how can I run  pw-status on a PW and not violate RFC 5586.  I’m sure
> there’s some subtlety I am missing here so hoping for clarity.*
>
> * *
>
> * *
>
> *Cheers*
>
> * *
>
> *Rob Rennison*
>
> * *
>
> * *
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3
>
>

---

From: "Shahram Davari" <[email-masked]>
Date: Wed, 2 Jun 2010 17:21:23 -0700

Hi Greg,

Even accepting your interpretation, this still doesn't solve the problem of PW OAM for MPLS-TP when CW is not present. My suggestion is to mandate CW if PW OAM is required.

Regards,
Shahram

From: [email-masked] [mailto:[email-masked]] On Behalf Of Greg Mirsky
Sent: Wednesday, June 02, 2010 5:05 PM
To: Robert Rennison
Cc: [email-masked]; [email-masked]; [email-masked]; Luca Martini
Subject: Re: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

Hi Robert,
very interesting!
I'd try to give my understanding by extending your quote from RFC 5586:
"However, in other MPLS environments, this document places no restrictions on where the GAL may appear within the label stack or its use with PWs."
I interpret that in non-TP environments GAL may be used as suggested in the draft but in MPLS-TP - the control word and VCCV must be used.

Regards,
Greg
On Wed, Jun 2, 2010 at 8:15 AM, Robert Rennison <[email-masked]<mailto:[email-masked]>> wrote:
Correcting Luca's email address, outlook  address auto-complete dug this up from the depths.

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Robert Rennison
Sent: Wednesday, June 02, 2010 9:57 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

Luca,George,Matthew,

Cheers

Rob Rennison

_______________________________________________
pwe3 mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pwe3

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 2 Jun 2010 17:30:11 -0700

Hi Shahram,
I agree, that would make it unambiguous. Perhaps we might revisit a question
that was somewhat lightly mentioned during the WG meeting in Anaheim
"Should use of CW in all PWs be mandatory?"

Regards,
Greg

On Wed, Jun 2, 2010 at 5:21 PM, Shahram Davari <[email-masked]> wrote:

>  Hi Greg,
>
>
>
> Even accepting your interpretation, this still doesn’t solve the problem of
> PW OAM for MPLS-TP when CW is not present. My suggestion is to mandate CW if
> PW OAM is required.
>
>
>
> Regards,
>
> Shahram
>
>
>
> *Greg Mirsky
> *Sent:* Wednesday, June 02, 2010 5:05 PM
> *To:* Robert Rennison
> *Cc:* [email-masked]; [email-masked]; [email-masked];
> Luca Martini
> *Subject:* Re: [PWE3] Possible Contradiction re use of GAL in
> pwe3-static-pw-status
>
>
>
> Hi Robert,
> very interesting!
> On Wed, Jun 2, 2010 at 8:15 AM, Robert Rennison <
> [email-masked]> wrote:
>
> Correcting Luca’s email address, outlook  address auto-complete dug this up
> from the depths.
>
>
>
>
>
>
>

---

From: "Shahram Davari" <[email-masked]>
Date: Wed, 2 Jun 2010 17:45:02 -0700

Hi Greg,

That would be ideal, but perhaps not possible at this point. However for enhanced features such as PW OAM, we could mandate using CW.

Thanks,
shahram

From: Greg Mirsky [mailto:[email-masked]]
Sent: Wednesday, June 02, 2010 5:30 PM
To: Shahram Davari
Cc: Robert Rennison; [email-masked]; [email-masked]; [email-masked]; Luca Martini
Subject: Re: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

Hi Shahram,
I agree, that would make it unambiguous. Perhaps we might revisit a question that was somewhat lightly mentioned during the WG meeting in Anaheim  "Should use of CW in all PWs be mandatory?"

Regards,
Greg
On Wed, Jun 2, 2010 at 5:21 PM, Shahram Davari <[email-masked]<mailto:[email-masked]>> wrote:
Hi Greg,

Regards,
Shahram

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Greg Mirsky
Sent: Wednesday, June 02, 2010 5:05 PM
To: Robert Rennison
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Luca Martini
Subject: Re: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

Hi Robert,
very interesting!

Regards,
Greg

Luca,George,Matthew,

Cheers

Rob Rennison

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Thu, 03 Jun 2010 07:34:08 -0400

I agree %100. This is something that we discussed in the last PWE3
meeting with only minor objections. The consensus seemed to be that we
should mandate the CW going forward, and also to retrofit old/existing RFCs
that make it optional.

    --Tom 

On 6/2/10 8:21 PM, "Shahram Davari" <[email-masked]> wrote:

> Hi Greg,
>  
> Even accepting your interpretation, this still doesn¹t solve the problem of PW
> OAM for MPLS-TP when CW is not present. My suggestion is to mandate CW if PW
> OAM is required.
>  
> Regards,
> Shahram
>  
> 
> "However, in other MPLS environments, this document places no restrictions on
> where the GAL may appear within the label stack or its use with PWs."
> On Wed, Jun 2, 2010 at 8:15 AM, Robert Rennison <[email-masked]>
> wrote:
> 
> Correcting Luca¹s email address, outlook  address auto-complete dug this up
> from the depths.
>  
>  
>  
> 
> The section 5.4.1 of the static-pw-status draft  appears to allow me to use
> the GAL on a PW which is not using the control word, that¹s nice, since some
> PWs do not use the CW.
>    the PE MUST also place the GAL reserved label [RFC5586
> <http://tools.ietf.org/html/rfc5586> ], below the PW
> So,  how can I run  pw-status on a PW and not violate RFC 5586.  I¹m sure
> there¹s some subtlety I am missing here so hoping for clarity.
>  
>  
> Cheers
>  
> Rob Rennison
>  
>  
>

---

From: <[email-masked]>
Date: Thu, 3 Jun 2010 13:52:44 +0200

+1
 
Best regards,
Manuel

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of Thomas D. Nadeau
	Sent: Thursday, June 03, 2010 1:34 PM
	To: Shahram Davari; Greg Mirsky; Robert Rennison
	Cc: George Swallow; [email-masked]; [email-masked]; Luca Martini
	Subject: Re: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

	    I agree %100. This is something that we discussed in the last PWE3 meeting with only minor objections. The consensus seemed to be that we should mandate the CW going forward, and also to retrofit old/existing RFCs that make it optional.
	
	    --Tom 

		Hi Greg,

		Regards,
		Shahram

		Hi Robert,
		very interesting!
		
		Regards,
		Greg
		
		On Wed, Jun 2, 2010 at 8:15 AM, Robert Rennison <[email-masked]> wrote:

		 

		Luca,George,Matthew,
		   the PE MUST also place the GAL reserved label [RFC5586 <http://tools.ietf.org/html/rfc5586> ], below the PW

		

		Cheers
		 
		Rob Rennison

		
________________________________

---

From: Luca Martini <[email-masked]>
Date: Thu, 03 Jun 2010 09:07:03 -0600

Robert Rennison wrote:
>
>
>         Luca,George,Matthew,
>
>
>         The section 5.4.1 of the static-pw-status draft appears to
>         allow me to use the GAL on a PW which is not using the control
>         word, that’s nice, since some PWs do not use the CW.
>
>
> *So, how can I run pw-status on a PW and not violate RFC 5586. I’m 
> sure there’s some subtlety I am missing here so hoping for clarity.*
>
> * *
>
no,
rfc5586 also says:
Also note that the GAL and ACH are applicable to MPLS and PWs in
general. This document specifies general mechanism and uses MPLS-TP
as an example application. The application of the GAL and ACH to
other specific MPLS uses is outside the scope of this document.

Since MPLS-TP requires PW to use the CW , the GAL will NOT be used on PW 
in MPLS-TP as required bt rfc5586.

There is no problem here.

Luca

> * *
>
> *Cheers*
>
> * *
>
> *Rob Rennison*
>
> * *
>
> * *
>
> ------------------------------------------------------------------------
>

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 3 Jun 2010 09:02:31 -0700

Dear Luca,
I think that I can not find requirement in MPLS-TP that would be close to
requirement to use CW in PW as you've indicated. I read RFC 5586 as
requirement to use CW in PWs if DCN (CSN, MSN) required. I think that PW in
MPLS-TP network might not use CW. Then the PW would not be available to
MPLS-TP OAM. We can view this as implicit requirement, practical thing to
do, but, in my view, non-CW PWs are within MPLS-TP.

Regards,
Greg

On Thu, Jun 3, 2010 at 8:07 AM, Luca Martini <[email-masked]> wrote:

>>   the PE MUST also place the GAL reserved label [RFC5586 <
>> http://tools.ietf.org/html/rfc5586>], below the PW
>>
> Since MPLS-TP requires PW to use the CW , the GAL will NOT be used on PW in
> MPLS-TP as required bt rfc5586.
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 3 Jun 2010 19:11:39 +0300

Hi all,
I concur with Greg: There is no explicit requirement to use CW in PWs in MPLS-TP.
More than that,  the MPLS-TP data plane draft<http://datatracker.ietf.org/doc/draft-ietf-mpls-tp-data-plane/> (now in the IESG Last Call) explicitly states:
   Data plane processing procedures for pseudowires SHALL be as defined
   in the following documents and in any future pseudowire data plane
   specifications:

   o  [RFC4717]

   o  [RFC4816]

   o  [RFC4385]

   o  [RFC4448]

   o  [RFC4619]

   o  [RFC4618]

   o  [RFC4553]

   o  [RFC4842]

   o  [RFC5087]

   o  [I-D.ietf-pwe3-fc-encap]

   o  [RFC5086]

   This document specifies no modifications or extensions to pseudowire
   data plane architectures or protocols.

And at least two of the referred specifications (4448 and 4717)  defined CW as optional...

Regards,
     Sasha

From: [email-masked] [mailto:[email-masked]] On Behalf Of Greg Mirsky
Sent: Thursday, June 03, 2010 7:03 PM
To: Luca Martini
Cc: [email-masked]; [email-masked]; [email-masked]; Robert Rennison; [email-masked]
Subject: Re: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

Dear Luca,
I think that I can not find requirement in MPLS-TP that would be close to requirement to use CW in PW as you've indicated. I read RFC 5586 as requirement to use CW in PWs if DCN (CSN, MSN) required. I think that PW in MPLS-TP network might not use CW. Then the PW would not be available to MPLS-TP OAM. We can view this as implicit requirement, practical thing to do, but, in my view, non-CW PWs are within MPLS-TP.

Regards,
Greg

On Thu, Jun 3, 2010 at 8:07 AM, Luca Martini <[email-masked]<mailto:[email-masked]>> wrote:
Robert Rennison wrote:

       Luca,George,Matthew,

       The section 5.4.1 of the static-pw-status draft appears to
       allow me to use the GAL on a PW which is not using the control
       word, that's nice, since some PWs do not use the CW.

* *

(i.e., S bit set to 1).

* *
*So, how can I run pw-status on a PW and not violate RFC 5586. I'm sure there's some subtlety I am missing here so hoping for clarity.*

* *
no,
rfc5586 also says:

Since MPLS-TP requires PW to use the CW , the GAL will NOT be used on PW in MPLS-TP as required bt rfc5586.

Luca
* *

*Cheers*

* *

*Rob Rennison*

* *

* *

---

From: "Shahram Davari" <[email-masked]>
Date: Thu, 3 Jun 2010 09:11:54 -0700

Hi Luca,

Could you please point me to the draft/RFC that says MPLS-TP PW must have CW? Also in case of non-MPLS-TP OAM, I suggest either mandating CW or using UDP/IP encapsulation for OAM. We don't have any draft/RFC that explains how GAL works for PW and how to make sure it is interoperable with existing implementations of GAL.

Thanks,
Shahram

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Luca Martini
Sent: Thursday, June 03, 2010 8:07 AM
To: Robert Rennison
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

Robert Rennison wrote:
> *So, how can I run pw-status on a PW and not violate RFC 5586. I'm 
> sure there's some subtlety I am missing here so hoping for clarity.*
>
> * *
>
no,
rfc5586 also says:

Luca

---

From: Luca Martini <[email-masked]>
Date: Thu, 03 Jun 2010 13:14:58 -0600

> Could you please point me to the draft/RFC that says MPLS-TP PW must have CW? Also in case of non-MPLS-TP OAM, I suggest either mandating CW or using UDP/IP encapsulation for OAM. We don't have any…
OK, so what is missing from the draft-ietf-pwe3-static-pw-status-00.txt 
to use the GAL for PW status ?

As for the CW being mandated in PW over MPLS-TP , that has always been 
the ITU requirement , and my understanding.
It does appear that we have that documented in an rfc yet, and I 
personally have always been opposed to mandating the CW in any 
environment. This is because there is a large portion  of deployments 
that do not want  the CW overhead to enable the extra OAM functionality, 
nor they require that OAM functionality.
However i believe that the CW is required for PWs over MPLS-TP.  This 
needs to be documented somewhere if we agree to it.

As for the original point on RFC5586 , consider that the 
draft-ietf-pwe3-static-pw-status-00 is not MPLS-TP specific.

Luca

---

From: "Shahram Davari" <[email-masked]>
Date: Thu, 3 Jun 2010 12:42:18 -0700

Hi Luca

-----Original Message-----
From: Luca Martini [mailto:[email-masked]] 
Sent: Thursday, June 03, 2010 12:15 PM
To: Shahram Davari
Cc: Robert Rennison; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [PWE3] Possible Contradiction re use of GAL in pwe3-static-pw-status

[SD>] The general usage of GAL for PW needs to be specified in a PW  Architecture document. Lots f questions need to be analyzed and answered, such as: should GAL be bottom of stack? How does the GAL for PW differ from GAL for MPLS? Can Entropy label follow this PW GAL? does presence of GAL always mean ACH is present? Etc.

[SD>] I don't think 4 bytes of overhead is important in 2010, where interface speeds are 1G, 10G, 40G. Also that is exactly my proposal, if OAM functionality is required then CW must be used, otherwise CW is not required.

However i believe that the CW is required for PWs over MPLS-TP.  This 
needs to be documented somewhere if we agree to it.
[SD>] I like the mandating of CW,  but it is not specified anywhere.

[SD>] Yes, understood. 

Luca

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Thu, 03 Jun 2010 15:59:04 -0400

I think it might be worth re-checking the consensus on this. There
seemed to be a large number of operators at the last PWE3 meeting interested
in mandating this.

    --Tom

On 6/3/10 3:14 PM, "Luca Martini" <[email-masked]> wrote:

> Shahram Davari wrote:
>> Hi Luca,
>> 
>> Could you please point me to the draft/RFC that says MPLS-TP PW must have CW?
>> Also in case of non-MPLS-TP OAM, I suggest either mandating CW or using
>> UDP/IP encapsulation for OAM. We don't have any draft/RFC that explains how
>> GAL works for PW and how to make sure it is interoperable with existing
>> implementations of GAL.
>> 
>>   
>>> <http://tools.ietf.org/html/rfc5586>], below the PW

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Thu, 03 Jun 2010 16:00:20 -0400

--Tom

---

From: Luca Martini <[email-masked]>
Date: Thu, 03 Jun 2010 15:00:23 -0600

> seemed to be a large number of operators at the last PWE3 meeting interested
Since the CW is already a standard, nothing is preventing those 
operators from requiring the use of CW everywhere in their networks.
This does not mean that we have to make current deployments non-standard.
In MPLS, we cannot make the use of CW mandatory , as existing 
deployments need to remain within the standard. The question is whether 
we can make the CW mandatory in NEW MPLS-TP based PSNs , since that is 
not yet widely deployed.

Luca

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Thu, 03 Jun 2010 17:09:17 -0400

In the least, I'd personally want it on anything new like TP.  Although
the feedback from the draft that Nick from Verizon put together made it
pretty clear that from an interoperability standpoint, those that do want to
use OAM/VCCV really need to have the CW made mandatory. I'd think the WG
would want to take that feedback seriously when moving VCCV and any of the
other protocols its produced, forward in the standards process.

    --Tom

On 6/3/10 5:00 PM, "Luca Martini" <[email-masked]> wrote:

>>>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>>>> Luca
>>>> Martini

---

From: Luca Martini <[email-masked]>
Date: Thu, 03 Jun 2010 15:37:37 -0600

> [SD>] The general usage of GAL for PW needs to be specified in a PW  Architecture document. Lots f questions need to be analyzed and answered, such as: should GAL be bottom of stack? How does the G…
So today the presence of a GAL always means an ACH construct after it. 
There is no restriction for the GAL to appear in the bottom of the stack 
in MPLS. (rfc5586) As for the entropy label, it is as explained in the 
fat-pw draft, nothing different. I do agree that it would be better to 
make this clear in one location.

> [SD>] I don't think 4 bytes of overhead is important in 2010, where interface speeds are 1G, 10G, 40G. Also that is exactly my proposal, if OAM functionality is required then CW must be used, other…
It makes a significant difference with 52 bytes payloads. ( single ATM 
cell )

Luca

---

From: Simon Delord <[email-masked]>
Date: Fri, 4 Jun 2010 14:40:56 +1000

Hi there,

When the CW is "OPTIONAL", I intrepret this as network operators
can choose to use the CW or not depending on their own requirements.

But in reality, some (not all) hardware vendors do not support this
"OPTIONAL" CW.
This means that for their customers CW is "NOT AN OPTION" (I learned this
when talking
to vendors about the E-Tree CW L-bit).
It seems to me there is nothing wrong with specifying the CW as OPTIONAL
as long as vendors respect "OPTIONAL" as the choice of operators by
always supporting the CW and giving operators the choice to use it or not.

Simon

2010/6/4 Luca Martini <[email-masked]>

> Since the CW is already a standard, nothing is preventing those operators
> from requiring the use of CW everywhere in their networks.
> In MPLS, we cannot make the use of CW mandatory , as existing deployments
> need to remain within the standard. The question is whether we can make the
> CW mandatory in NEW MPLS-TP based PSNs , since that is not yet widely
> deployed.
>
> Luca
>
>
>    --Tom
>>
>>
>>
>>>> Cc: [email-masked]; [email-masked];
>>>> [email-masked];
>>>> [email-masked]

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 04 Jun 2010 08:40:20 +0100

SB>No, the presence of a GAL means that the ACH follows the label with 
S=1. All of the protocols defined so far have the GAL with S=1, but we 
need to be careful to remember the semantics of the GAL definition in 
case we put the GAL further up the stack at some time in the future.

- Stewart